package net.wanji.opt.controllerv2.judgeanalysis;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.opt.controllerv2.judgeanalysis.design.response.areaproblem.AreaCrossProblemAnalysisResult;
import net.wanji.opt.controllerv2.judgeanalysis.design.response.areaproblem.AreaGreenProblemAnalysisResult;
import net.wanji.opt.controllerv2.judgeanalysis.design.response.areaproblem.AreaProblemOverview;
import net.wanji.opt.controllerv2.judgeanalysis.design.response.areaproblem.AreaProblemTrendAnalysisResult;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.ws.rs.core.MediaType;

/**
 * <p>
 * 绿波问题分析 前端控制器
 * </p>
 *
 * @author fengyi
 * @since 2025-03-13
 */
@Api(tags = "研判分析-区域问题分析")
@RestController
@RequestMapping("/analysis-area-problem")
public class AnalysisProblemAreaDayController {


    @ApiOperation(value = "区域-问题数量总览",   response = JsonViewObject.class,
            produces = MediaType.APPLICATION_JSON, consumes = MediaType.APPLICATION_JSON)
    @GetMapping(value = "/overview")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "areaId", value = "区域ID", required = true, dataType = "String", defaultValue = "1"),
            @ApiImplicitParam(name = "timeType", value = "事件类型 1：近一个月 2：近一周", required = true, dataType = "int", defaultValue = "1"),
    })
    @ApiResponses({
            @ApiResponse(code = 200, message = "OK", response = AreaProblemOverview.class),
    })
    public JsonViewObject areaProblemOverview(String timeType,String areaId) {
        return JsonViewObject.newInstance().success(null);
    }


    @ApiOperation(value = "区域-问题数量趋势分析",   response = JsonViewObject.class,
            produces = MediaType.APPLICATION_JSON, consumes = MediaType.APPLICATION_JSON)
    @GetMapping(value = "/trend")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "areaId", value = "区域ID", required = true, dataType = "String", defaultValue = "1"),
            @ApiImplicitParam(name = "timeType", value = "事件类型 1：近一个月 2：近一周", required = true, dataType = "int", defaultValue = "1"),
    })
    @ApiResponses({
            @ApiResponse(code = 200, message = "OK", response = AreaProblemTrendAnalysisResult.class),
    })
    public JsonViewObject trend(String timeType,String areaId) {
        return JsonViewObject.newInstance().success(null);
    }



    @ApiOperation(value = "区域-路口问题数量分析",   response = JsonViewObject.class,
            produces = MediaType.APPLICATION_JSON, consumes = MediaType.APPLICATION_JSON)
    @ApiImplicitParams({
            @ApiImplicitParam(name = "eventType", value = "事件代码 701：路口空放 702：路口失衡，703：路口溢出  705:干线缓行 706：干线拥堵 707：路口拥堵", required = true, dataType = "String", defaultValue = ""),
            @ApiImplicitParam(name = "areaId", value = "区域ID", required = true, dataType = "String", defaultValue = "1"),

    })
    @GetMapping(value = "/cross-problem-number")
    @ApiResponses({
            @ApiResponse(code = 200, message = "OK", response = AreaCrossProblemAnalysisResult.class),
    })
    public JsonViewObject crossProblemNumber(String eventType,String timeType,String areaId) {
        return JsonViewObject.newInstance().success(null);
    }


    @ApiOperation(value = "区域-干线问题数量分析",   response = JsonViewObject.class,
            produces = MediaType.APPLICATION_JSON, consumes = MediaType.APPLICATION_JSON)
    @ApiImplicitParams({
            @ApiImplicitParam(name = "eventType", value = "事件代码 701：路口空放 702：路口失衡，703：路口溢出  705:干线缓行 706：干线拥堵 707：路口拥堵 ", required = true, dataType = "String", defaultValue = ""),
            @ApiImplicitParam(name = "areaId", value = "区域ID", required = true, dataType = "String", defaultValue = "1"),
            @ApiImplicitParam(name = "timeType", value = "事件类型 1：近一个月 2：近一周", required = true, dataType = "int", defaultValue = "1"),
    })
    @GetMapping(value = "/green-problem-number")
    @ApiResponses({
            @ApiResponse(code = 200, message = "OK", response = AreaGreenProblemAnalysisResult.class),
    })
    public JsonViewObject greenProblemNumber(String eventType,String timeType,String areaId) {
        return JsonViewObject.newInstance().success(null);
    }

}
