package net.wanji.opt.servicev2.implv2;

import lombok.extern.slf4j.Slf4j;
import net.wanji.opt.dao.mapper.TrunkLineMapper;
import net.wanji.opt.servicev2.TrunkLineService;
import net.wanji.opt.synthesis.pojo.TrunkLineProblemDescribeEntity;
import net.wanji.opt.vo2.CrossRealTimeAlarmVO;
import net.wanji.opt.vo2.TrunkLineProblemDescribeVO;
import org.jetbrains.annotations.NotNull;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.*;

@Service
@Slf4j
public class TrunkLineImpl implements TrunkLineService {
    @Resource
    private TrunkLineMapper trunkLineMapper;

    @Override
    public List<TrunkLineProblemDescribeEntity> getTrunkLineProblemDescribe(String greenID , String time) {
        List<TrunkLineProblemDescribeEntity> list = trunkLineMapper.getTrunkLineProblemDescribe(greenID,time);
        return list;
    }

    @Override
    public List<CrossRealTimeAlarmVO> getTrunkLineRealTimeAlarm(Integer greenID, String time) {
        return trunkLineMapper.getTrunkLineRealTimeAlarm(greenID, time);
    }

    @NotNull
    private static TrunkLineProblemDescribeVO getTrunkLineProblemDescribeVO(List<TrunkLineProblemDescribeEntity> list, int i) {
        TrunkLineProblemDescribeVO vo = new TrunkLineProblemDescribeVO();
        TrunkLineProblemDescribeEntity e = list.get(i);
        TrunkLineProblemDescribeEntity e2= list.get(i +1);

        vo.setGreenID(e.getGreenID());
        vo.setTime(e.getTime());
        vo.setStatus(e.getStatus());
        vo.setDir(e.getDir());
        vo.setStatusCN(e.getStatusCN());
        vo.setDir2(e2.getDir());
        vo.setStatus2(e.getStatus());
        vo.setStatusCN2(e.getStatusCN());
        return vo;
    }
}
